class Graphik {
	void draw() {
		IO.println("Graphik draw");
	}
}

class Rectangle extends Graphik {
	void draw() {
		IO.println("Rectangle draw");
	}
}

class Square extends Rectangle {
	void draw() {
		IO.println("Square draw");
	}
}

class Circle extends Graphik {
	void draw() {
		IO.println("Circle draw");
	}
}

class GraphikSet {
	Graphik[] elemente;

	int next;

	GraphikSet(int groesse) {
		this.elemente = new Graphik[groesse];
		this.next = 0;
	}

	void add(Graphik obj) {
		this.elemente[this.next++] = obj;
	}

	void drawAll() {
		for (int i = 0; i < this.next; i++)
			this.elemente[i].draw(); // dynamisches Binden!
	}
}

class GraphikProgramm {
	public static void main(String[] args) {
		GraphikSet menge = new GraphikSet(100);
		menge.add(new Circle()); // Polymorphie!
		menge.add(new Square());
		menge.drawAll(); 
		// Ausgabe: 
		// Circle draw
		// Square draw
	}
}
