class TTTProgramm extends TTTSpieler { // neue Klasse
	TTTBrett brett;

	TTTRegeln regeln;

	TTTProgramm(boolean istA) {
		super(istA);
		brett = new TTTBrett();
		regeln = new TTTRegeln(this.brett);
	}

	TTTSpielzug liefereNaechstenSpielzug(TTTSpielzug gegnerZug) {
		if (gegnerZug != null) // nicht der Anfangszug
			this.brett.fuehreSpielzugAus(this.gegner, gegnerZug);
		// eigenen Spielzug ermitteln (sehr einfache Strategie!)
		TTTSpielzug eigenerZug = null;
		hauptschleife: for (int i = 0; i < TTTBrett.getGroesse(); i++) {
			for (int j = 0; j < TTTBrett.getGroesse(); j++) {
				eigenerZug = new TTTSpielzug(i, j);
				if (regeln.spielzugOK(eigenerZug)) {
					break hauptschleife;
				}
			}
		}
		// eigenenSpielzug ausfuehren
		this.brett.fuehreSpielzugAus(this, eigenerZug);
		return eigenerZug;
	}
}
